Apache Tomcat 6.0.51

## org.apache.catalina.tribes.tipis
Class AbstractReplicatedMap.MapMessage

    java.lang.Object
      org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapMessage

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbstractReplicatedMap<K,V>

    public static class AbstractReplicatedMap.MapMessage

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `MSG_ACCESS`
`static int` | `MSG_BACKUP`
`static int` | `MSG_COPY`
`static int` | `MSG_INIT`
`static int` | `MSG_PROXY`
`static int` | `MSG_REMOVE`
`static int` | `MSG_RETRIEVE_BACKUP`
`static int` | `MSG_START`
`static int` | `MSG_STATE`
`static int` | `MSG_STATE_COPY`
`static int` | `MSG_STOP`

Constructor Summary
`AbstractReplicatedMap.MapMessage()` Deprecated. Unused - will be removed in Tomcat 8.0.x
`AbstractReplicatedMap.MapMessage(byte[] mapId, int msgtype, boolean diff, java.io.Serializable key, java.io.Serializable value, byte[] diffvalue, Member primary, Member[] nodes)`

Method Summary
`java.lang.Object` | `clone()` shallow clone
`void` | `deserialize(java.lang.ClassLoader[] cls)`
`Member[]` | `getBackupNodes()`
`byte[]` | `getDiffValue()`
`java.io.Serializable` | `getKey()`
`byte[]` | `getKeyData()`
`byte[]` | `getMapId()`
`int` | `getMsgType()`
`Member` | `getPrimary()`
`java.lang.String` | `getTypeDesc()`
`java.io.Serializable` | `getValue()`
`byte[]` | `getValueData()`
`boolean` | `isDiff()`
`java.io.Serializable` | `key(java.lang.ClassLoader[] cls)`
`protected Member[]` | `readMembers(java.io.ObjectInput in)` Deprecated. Unused - will be removed in 8.0.x
`void` | `setKey(java.io.Serializable key)`
`void` | `setValue(java.io.Serializable value)`
`java.lang.String` | `toString()`
`java.io.Serializable` | `value(java.lang.ClassLoader[] cls)`
`protected void` | `writeMembers(java.io.ObjectOutput out, Member[] members)` Deprecated. Unused - will be removed in 8.0.x

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_BACKUP

    public static final int MSG_BACKUP

See Also:
  Constant Field Values

### MSG_RETRIEVE_BACKUP

    public static final int MSG_RETRIEVE_BACKUP

See Also:
  Constant Field Values

### MSG_PROXY

    public static final int MSG_PROXY

See Also:
  Constant Field Values

### MSG_REMOVE

    public static final int MSG_REMOVE

See Also:
  Constant Field Values

### MSG_STATE

    public static final int MSG_STATE

See Also:
  Constant Field Values

### MSG_START

    public static final int MSG_START

See Also:
  Constant Field Values

### MSG_STOP

    public static final int MSG_STOP

See Also:
  Constant Field Values

### MSG_INIT

    public static final int MSG_INIT

See Also:
  Constant Field Values

### MSG_COPY

    public static final int MSG_COPY

See Also:
  Constant Field Values

### MSG_STATE_COPY

    public static final int MSG_STATE_COPY

See Also:
  Constant Field Values

### MSG_ACCESS

    public static final int MSG_ACCESS

See Also:
  Constant Field Values

Constructor Detail

### AbstractReplicatedMap.MapMessage

    @Deprecated
    public AbstractReplicatedMap.MapMessage()

  Deprecated. Unused - will be removed in Tomcat 8.0.x

### AbstractReplicatedMap.MapMessage

    public AbstractReplicatedMap.MapMessage(byte[] mapId,
                                            int msgtype,
                                            boolean diff,
                                            java.io.Serializable key,
                                            java.io.Serializable value,
                                            byte[] diffvalue,
                                            Member primary,
                                            Member[] nodes)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTypeDesc

    public java.lang.String getTypeDesc()

### deserialize

    public void deserialize(java.lang.ClassLoader[] cls)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getMsgType

    public int getMsgType()

### isDiff

    public boolean isDiff()

### getKey

    public java.io.Serializable getKey()

### key

    public java.io.Serializable key(java.lang.ClassLoader[] cls)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getKeyData

    public byte[] getKeyData()

### getValue

    public java.io.Serializable getValue()

### value

    public java.io.Serializable value(java.lang.ClassLoader[] cls)
                               throws java.io.IOException,
                                      java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getValueData

    public byte[] getValueData()

### getDiffValue

    public byte[] getDiffValue()

### getBackupNodes

    public Member[] getBackupNodes()

### getPrimary

    public Member getPrimary()

### getMapId

    public byte[] getMapId()

### setValue

    public void setValue(java.io.Serializable value)

### setKey

    public void setKey(java.io.Serializable key)

### readMembers

    @Deprecated
    protected Member[] readMembers(java.io.ObjectInput in)
                            throws java.io.IOException

  Deprecated. Unused - will be removed in 8.0.x

  Throws:
    `java.io.IOException`

### writeMembers

    @Deprecated
    protected void writeMembers(java.io.ObjectOutput out,
                                           Member[] members)
                         throws java.io.IOException

  Deprecated. Unused - will be removed in 8.0.x

  Throws:
    `java.io.IOException`

### clone

    public java.lang.Object clone()

  shallow clone

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.